com.pivotal.gemfirexd.thrift.internal

## Class ClientPreparedStatement

- java.lang.Object
- - com.pivotal.gemfirexd.thrift.internal.ClientStatement
  - - com.pivotal.gemfirexd.thrift.internal.ClientPreparedStatement

All Implemented Interfaces:
  com.pivotal.gemfirexd.thrift.common.LobService, com.pivotal.gemfirexd.thrift.common.PrepareResultHolder, AutoCloseable, PreparedStatement, Statement, Wrapper

Direct Known Subclasses:
  ClientCallableStatement

    public class ClientPreparedStatement
    extends ClientStatement
    implements PreparedStatement, com.pivotal.gemfirexd.thrift.common.PrepareResultHolder

An implementation of the JDBC `PreparedStatement` interface using the thrift driver.

Since:
  gfxd 1.1

### Field Summary

Fields
`protected Calendar` `defaultCalendar`
`protected static com.pivotal.gemfirexd.thrift.Row` `EMPTY_ROW`
`protected ClientFinalizer` `finalizer`
`protected static List<com.pivotal.gemfirexd.thrift.ColumnDescriptor>` `NULL_METADATA`
`protected int` `numParams`
`protected List<com.pivotal.gemfirexd.thrift.ColumnDescriptor>` `parameterMetaData`
`protected ArrayList<com.pivotal.gemfirexd.thrift.Row>` `paramsBatch`
`protected com.pivotal.gemfirexd.thrift.Row` `paramsList`
`protected String` `preparedSQL`
`protected List<com.pivotal.gemfirexd.thrift.ColumnDescriptor>` `resultSetMetaData`
`protected ClientService` `service`
`protected boolean` `wasNull`

### Fields inherited from class com.pivotal.gemfirexd.thrift.internal.ClientStatement

`attrs, batchSQLs, conn, currentGeneratedKeys, currentRowSet, currentUpdateCount, isOpen, statementId, warnings`

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Method Summary

Methods
`void` `addBatch()`
`void` `addBatch(String sql)`
`protected void` `checkValidParameterIndex(int parameterIndex)`
`protected void` `clearFinalizer()`
`void` `clearParameters()`
`Blob` `createBlob(com.pivotal.gemfirexd.thrift.BlobChunk firstChunk)`
`Clob` `createClob(com.pivotal.gemfirexd.thrift.ClobChunk firstChunk)`
`boolean` `execute()`
`boolean` `execute(String sql)`
`boolean` `execute(String sql, int autoGeneratedKeys)`
`boolean` `execute(String sql, int[] columnIndexes)`
`boolean` `execute(String sql, String[] columnNames)`
`int[]` `executeBatch()`
`ResultSet` `executeQuery()`
`ResultSet` `executeQuery(String sql)`
`int` `executeUpdate()`
`int` `executeUpdate(String sql)`
`int` `executeUpdate(String sql, int autoGeneratedKeys)`
`int` `executeUpdate(String sql, int[] columnIndexes)`
`int` `executeUpdate(String sql, String[] columnNames)`
`protected Array` `getArray(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected InputStream` `getAsciiStream(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected BigDecimal` `getBigDecimal(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected BigDecimal` `getBigDecimal(int columnIndex, int scale, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected InputStream` `getBinaryStream(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected Blob` `getBlob(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`com.pivotal.gemfirexd.thrift.BlobChunk` `getBlobChunk(int lobId, long offset, int chunkSize, boolean freeLobAtEnd)`
`protected boolean` `getBoolean(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected byte` `getByte(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected byte[]` `getBytes(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected Reader` `getCharacterStream(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected Clob` `getClob(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`com.pivotal.gemfirexd.thrift.ClobChunk` `getClobChunk(int lobId, long offset, int chunkSize, boolean freeLobAtEnd)`
`protected Date` `getDate(int columnIndex, Calendar cal, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected double` `getDouble(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected float` `getFloat(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected int` `getInt(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected HostConnection` `getLobSource(boolean throwOnFailure, String op)`
`protected long` `getLong(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`ResultSetMetaData` `getMetaData()`
`protected Reader` `getNCharacterStream(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected NClob` `getNClob(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected String` `getNString(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected <T> T` `getObject(int columnIndex, Class<T> type, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected Object` `getObject(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected Object` `getObject(int columnIndex, Map<String,Class<?>> map, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected Map<Integer,com.pivotal.gemfirexd.thrift.OutputParameter>` `getOutputParameters()`
`ParameterMetaData` `getParameterMetaData()`
`protected Ref` `getRef(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected RowId` `getRowId(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected short` `getShort(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`String` `getSQL()`
`protected SQLXML` `getSQLXML(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`int` `getStatementId()`
`protected String` `getString(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected Time` `getTime(int columnIndex, Calendar cal, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected Timestamp` `getTimestamp(int columnIndex, Calendar cal, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected long` `getTimeZoneOffset(long timeInMillis, Calendar cal)`
`protected com.pivotal.gemfirexd.thrift.GFXDType` `getType(int parameterIndex)`
`protected URL` `getURL(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected int` `prepare()`
`void` `setArray(int parameterIndex, Array x)`
`void` `setAsciiStream(int parameterIndex, InputStream x)`
`void` `setAsciiStream(int parameterIndex, InputStream x, int length)`
`void` `setAsciiStream(int parameterIndex, InputStream x, long length)`
`void` `setBigDecimal(int parameterIndex, BigDecimal x)`
`void` `setBinaryStream(int parameterIndex, InputStream x)`
`void` `setBinaryStream(int parameterIndex, InputStream x, int length)`
`void` `setBinaryStream(int parameterIndex, InputStream x, long length)`
`void` `setBlob(int parameterIndex, Blob x)`
`void` `setBlob(int parameterIndex, InputStream inputStream)`
`void` `setBlob(int parameterIndex, InputStream inputStream, long length)`
`void` `setBoolean(int parameterIndex, boolean x)`
`void` `setByte(int parameterIndex, byte x)`
`void` `setBytes(int parameterIndex, byte[] x)`
`void` `setCharacterStream(int parameterIndex, Reader reader)`
`void` `setCharacterStream(int parameterIndex, Reader reader, int length)`
`void` `setCharacterStream(int parameterIndex, Reader reader, long length)`
`void` `setClob(int parameterIndex, Clob x)`
`void` `setClob(int parameterIndex, Reader reader)`
`void` `setClob(int parameterIndex, Reader reader, long length)`
`protected void` `setCurrentRowSet(com.pivotal.gemfirexd.thrift.RowSet rs)`
`protected void` `setCurrentSource(byte entityId, int newId, com.pivotal.gemfirexd.thrift.RowSet rs)`
`void` `setDate(int parameterIndex, Date x)`
`void` `setDate(int parameterIndex, Date x, Calendar cal)`
`void` `setDouble(int parameterIndex, double x)`
`void` `setFloat(int parameterIndex, float x)`
`void` `setInt(int parameterIndex, int x)`
`void` `setLong(int parameterIndex, long x)`
`void` `setNCharacterStream(int parameterIndex, Reader value)`
`void` `setNCharacterStream(int parameterIndex, Reader value, long length)`
`void` `setNClob(int parameterIndex, NClob value)`
`void` `setNClob(int parameterIndex, Reader reader)`
`void` `setNClob(int parameterIndex, Reader reader, long length)`
`void` `setNString(int parameterIndex, String value)`
`void` `setNull(int parameterIndex, int sqlType)`
`void` `setNull(int parameterIndex, int sqlType, String typeName)`
`void` `setObject(int parameterIndex, Object x)`
`void` `setObject(int parameterIndex, Object x, int targetSqlType)`
`void` `setObject(int parameterIndex, Object x, int targetSqlType, int scaleOrLength)`
`void` `setRef(int parameterIndex, Ref x)`
`void` `setRowId(int parameterIndex, RowId x)`
`void` `setShort(int parameterIndex, short x)`
`void` `setSQLXML(int parameterIndex, SQLXML xmlObject)`
`void` `setString(int parameterIndex, String x)`
`void` `setTime(int parameterIndex, Time x)`
`void` `setTime(int parameterIndex, Time x, Calendar cal)`
`void` `setTimestamp(int parameterIndex, Timestamp x)`
`void` `setTimestamp(int parameterIndex, Timestamp x, Calendar cal)`
`void` `setUnicodeStream(int parameterIndex, InputStream x, int length)`
`void` `setURL(int parameterIndex, URL x)`
`void` `updatePrepareResult(com.pivotal.gemfirexd.thrift.PrepareResult pr)`

### Methods inherited from class com.pivotal.gemfirexd.thrift.internal.ClientStatement

`cancel, checkClosed, clearBatch, clearWarnings, close, closeOnCompletion, execute, executeUpdate, getAttributes, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, initializeProcedureOutParams, isClosed, isCloseOnCompletion, isPoolable, isWrapperFor, reset, setAutoIncAttributes, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.Statement

`cancel, clearBatch, clearWarnings, close, closeOnCompletion, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Methods inherited from interface com.pivotal.gemfirexd.thrift.common.PrepareResultHolder

`getAttributes`

### Field Detail

#### preparedSQL

    protected final String preparedSQL

#### numParams

    protected final int numParams

#### paramsList

    protected com.pivotal.gemfirexd.thrift.Row paramsList

#### paramsBatch

    protected ArrayList<com.pivotal.gemfirexd.thrift.Row> paramsBatch

#### parameterMetaData

    protected List<com.pivotal.gemfirexd.thrift.ColumnDescriptor> parameterMetaData

#### resultSetMetaData

    protected List<com.pivotal.gemfirexd.thrift.ColumnDescriptor> resultSetMetaData

#### defaultCalendar

    protected Calendar defaultCalendar

#### EMPTY_ROW

    protected static final com.pivotal.gemfirexd.thrift.Row EMPTY_ROW

#### NULL_METADATA

    protected static final List<com.pivotal.gemfirexd.thrift.ColumnDescriptor> NULL_METADATA

#### service

    protected final ClientService service

#### finalizer

    protected ClientFinalizer finalizer

#### wasNull

    protected boolean wasNull

### Method Detail

#### getOutputParameters

    protected Map<Integer,com.pivotal.gemfirexd.thrift.OutputParameter> getOutputParameters()

#### prepare

    protected final int prepare()
                         throws SQLException

Throws:
  `SQLException`

#### setCurrentRowSet

    protected final void setCurrentRowSet(com.pivotal.gemfirexd.thrift.RowSet rs)

Overrides:
  `setCurrentRowSet` in class `ClientStatement`

#### checkValidParameterIndex

    protected final void checkValidParameterIndex(int parameterIndex)
                                           throws SQLException

Throws:
  `SQLException`

#### execute

    public boolean execute()
                    throws SQLException

Specified by:
  `execute` in interface `PreparedStatement`
Throws:
  `SQLException`

#### executeQuery

    public ResultSet executeQuery()
                           throws SQLException

Specified by:
  `executeQuery` in interface `PreparedStatement`
Throws:
  `SQLException`

#### executeUpdate

    public int executeUpdate()
                      throws SQLException

Specified by:
  `executeUpdate` in interface `PreparedStatement`
Throws:
  `SQLException`

#### executeBatch

    public int[] executeBatch()
                       throws SQLException

Specified by:
  `executeBatch` in interface `Statement`
Overrides:
  `executeBatch` in class `ClientStatement`
Throws:
  `SQLException`

#### getType

    protected final com.pivotal.gemfirexd.thrift.GFXDType getType(int parameterIndex)

#### execute

    public final boolean execute(String sql)
                          throws SQLException

Description copied from class: `ClientStatement`

Specified by:
  `execute` in interface `Statement`
Overrides:
  `execute` in class `ClientStatement`
Throws:
  `SQLException`

#### execute

    public final boolean execute(String sql,
                  int autoGeneratedKeys)
                          throws SQLException

Description copied from class: `ClientStatement`

Specified by:
  `execute` in interface `Statement`
Overrides:
  `execute` in class `ClientStatement`
Throws:
  `SQLException`

#### execute

    public final boolean execute(String sql,
                  int[] columnIndexes)
                          throws SQLException

Description copied from class: `ClientStatement`

Specified by:
  `execute` in interface `Statement`
Overrides:
  `execute` in class `ClientStatement`
Throws:
  `SQLException`

#### execute

    public final boolean execute(String sql,
                  String[] columnNames)
                          throws SQLException

Description copied from class: `ClientStatement`

Specified by:
  `execute` in interface `Statement`
Overrides:
  `execute` in class `ClientStatement`
Throws:
  `SQLException`

#### executeQuery

    public final ResultSet executeQuery(String sql)
                                 throws SQLException

Description copied from class: `ClientStatement`

Specified by:
  `executeQuery` in interface `Statement`
Overrides:
  `executeQuery` in class `ClientStatement`
Throws:
  `SQLException`

#### executeUpdate

    public final int executeUpdate(String sql)
                            throws SQLException

Description copied from class: `ClientStatement`

Specified by:
  `executeUpdate` in interface `Statement`
Overrides:
  `executeUpdate` in class `ClientStatement`
Throws:
  `SQLException`

#### executeUpdate

    public final int executeUpdate(String sql,
                    int autoGeneratedKeys)
                            throws SQLException

Description copied from class: `ClientStatement`

Specified by:
  `executeUpdate` in interface `Statement`
Overrides:
  `executeUpdate` in class `ClientStatement`
Throws:
  `SQLException`

#### executeUpdate

    public final int executeUpdate(String sql,
                    int[] columnIndexes)
                            throws SQLException

Description copied from class: `ClientStatement`

Specified by:
  `executeUpdate` in interface `Statement`
Overrides:
  `executeUpdate` in class `ClientStatement`
Throws:
  `SQLException`

#### executeUpdate

    public final int executeUpdate(String sql,
                    String[] columnNames)
                            throws SQLException

Description copied from class: `ClientStatement`

Specified by:
  `executeUpdate` in interface `Statement`
Overrides:
  `executeUpdate` in class `ClientStatement`
Throws:
  `SQLException`

#### addBatch

    public final void addBatch(String sql)
                        throws SQLException

Description copied from class: `ClientStatement`

Specified by:
  `addBatch` in interface `Statement`
Overrides:
  `addBatch` in class `ClientStatement`
Throws:
  `SQLException`

#### setNull

    public final void setNull(int parameterIndex,
               int sqlType)
                       throws SQLException

Specified by:
  `setNull` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBoolean

    public final void setBoolean(int parameterIndex,
                  boolean x)
                          throws SQLException

Specified by:
  `setBoolean` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setByte

    public final void setByte(int parameterIndex,
               byte x)
                       throws SQLException

Specified by:
  `setByte` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setShort

    public final void setShort(int parameterIndex,
                short x)
                        throws SQLException

Specified by:
  `setShort` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setInt

    public final void setInt(int parameterIndex,
              int x)
                      throws SQLException

Specified by:
  `setInt` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setLong

    public final void setLong(int parameterIndex,
               long x)
                       throws SQLException

Specified by:
  `setLong` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setFloat

    public final void setFloat(int parameterIndex,
                float x)
                        throws SQLException

Specified by:
  `setFloat` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setDouble

    public final void setDouble(int parameterIndex,
                 double x)
                         throws SQLException

Specified by:
  `setDouble` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBigDecimal

    public final void setBigDecimal(int parameterIndex,
                     BigDecimal x)
                             throws SQLException

Specified by:
  `setBigDecimal` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setString

    public final void setString(int parameterIndex,
                 String x)
                         throws SQLException

Specified by:
  `setString` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBytes

    public final void setBytes(int parameterIndex,
                byte[] x)
                        throws SQLException

Specified by:
  `setBytes` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setDate

    public final void setDate(int parameterIndex,
               Date x)
                       throws SQLException

Specified by:
  `setDate` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setTime

    public final void setTime(int parameterIndex,
               Time x)
                       throws SQLException

Specified by:
  `setTime` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setTimestamp

    public final void setTimestamp(int parameterIndex,
                    Timestamp x)
                            throws SQLException

Specified by:
  `setTimestamp` in interface `PreparedStatement`
Throws:
  `SQLException`

#### clearParameters

    public void clearParameters()
                         throws SQLException

Specified by:
  `clearParameters` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setObject

    public final void setObject(int parameterIndex,
                 Object x,
                 int targetSqlType)
                         throws SQLException

Specified by:
  `setObject` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setObject

    public final void setObject(int parameterIndex,
                 Object x)
                         throws SQLException

Specified by:
  `setObject` in interface `PreparedStatement`
Throws:
  `SQLException`

#### addBatch

    public void addBatch()
                  throws SQLException

Specified by:
  `addBatch` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setRef

    public void setRef(int parameterIndex,
              Ref x)
                throws SQLException

Specified by:
  `setRef` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setArray

    public void setArray(int parameterIndex,
                Array x)
                  throws SQLException

Specified by:
  `setArray` in interface `PreparedStatement`
Throws:
  `SQLException`

#### getMetaData

    public ResultSetMetaData getMetaData()
                                  throws SQLException

Specified by:
  `getMetaData` in interface `PreparedStatement`
Throws:
  `SQLException`

#### getTimeZoneOffset

    protected final long getTimeZoneOffset(long timeInMillis,
                         Calendar cal)

#### setDate

    public final void setDate(int parameterIndex,
               Date x,
               Calendar cal)
                       throws SQLException

Specified by:
  `setDate` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setTime

    public final void setTime(int parameterIndex,
               Time x,
               Calendar cal)
                       throws SQLException

Specified by:
  `setTime` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setTimestamp

    public final void setTimestamp(int parameterIndex,
                    Timestamp x,
                    Calendar cal)
                            throws SQLException

Specified by:
  `setTimestamp` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNull

    public final void setNull(int parameterIndex,
               int sqlType,
               String typeName)
                       throws SQLException

Specified by:
  `setNull` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setURL

    public void setURL(int parameterIndex,
              URL x)
                throws SQLException

Specified by:
  `setURL` in interface `PreparedStatement`
Throws:
  `SQLException`

#### getParameterMetaData

    public ParameterMetaData getParameterMetaData()
                                           throws SQLException

Specified by:
  `getParameterMetaData` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setRowId

    public void setRowId(int parameterIndex,
                RowId x)
                  throws SQLException

Specified by:
  `setRowId` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setSQLXML

    public void setSQLXML(int parameterIndex,
                 SQLXML xmlObject)
                   throws SQLException

Specified by:
  `setSQLXML` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setObject

    public final void setObject(int parameterIndex,
                 Object x,
                 int targetSqlType,
                 int scaleOrLength)
                         throws SQLException

Specified by:
  `setObject` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBinaryStream

    public final void setBinaryStream(int parameterIndex,
                       InputStream x,
                       long length)
                               throws SQLException

Specified by:
  `setBinaryStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBinaryStream

    public final void setBinaryStream(int parameterIndex,
                       InputStream x)
                               throws SQLException

Specified by:
  `setBinaryStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBinaryStream

    public final void setBinaryStream(int parameterIndex,
                       InputStream x,
                       int length)
                               throws SQLException

Specified by:
  `setBinaryStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setCharacterStream

    public final void setCharacterStream(int parameterIndex,
                          Reader reader,
                          long length)
                                  throws SQLException

Specified by:
  `setCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setCharacterStream

    public final void setCharacterStream(int parameterIndex,
                          Reader reader)
                                  throws SQLException

Specified by:
  `setCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setCharacterStream

    public final void setCharacterStream(int parameterIndex,
                          Reader reader,
                          int length)
                                  throws SQLException

Specified by:
  `setCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setAsciiStream

    public final void setAsciiStream(int parameterIndex,
                      InputStream x,
                      long length)
                              throws SQLException

Specified by:
  `setAsciiStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setAsciiStream

    public final void setAsciiStream(int parameterIndex,
                      InputStream x)
                              throws SQLException

Specified by:
  `setAsciiStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setAsciiStream

    public final void setAsciiStream(int parameterIndex,
                      InputStream x,
                      int length)
                              throws SQLException

Specified by:
  `setAsciiStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setUnicodeStream

    public final void setUnicodeStream(int parameterIndex,
                        InputStream x,
                        int length)
                                throws SQLException

Specified by:
  `setUnicodeStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBlob

    public final void setBlob(int parameterIndex,
               InputStream inputStream,
               long length)
                       throws SQLException

Specified by:
  `setBlob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBlob

    public final void setBlob(int parameterIndex,
               Blob x)
                       throws SQLException

Specified by:
  `setBlob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBlob

    public final void setBlob(int parameterIndex,
               InputStream inputStream)
                       throws SQLException

Specified by:
  `setBlob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setClob

    public final void setClob(int parameterIndex,
               Reader reader,
               long length)
                       throws SQLException

Specified by:
  `setClob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setClob

    public final void setClob(int parameterIndex,
               Clob x)
                       throws SQLException

Specified by:
  `setClob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setClob

    public final void setClob(int parameterIndex,
               Reader reader)
                       throws SQLException

Specified by:
  `setClob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNString

    public void setNString(int parameterIndex,
                  String value)
                    throws SQLException

Specified by:
  `setNString` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNCharacterStream

    public void setNCharacterStream(int parameterIndex,
                           Reader value,
                           long length)
                             throws SQLException

Specified by:
  `setNCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNCharacterStream

    public void setNCharacterStream(int parameterIndex,
                           Reader value)
                             throws SQLException

Specified by:
  `setNCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNClob

    public void setNClob(int parameterIndex,
                Reader reader,
                long length)
                  throws SQLException

Specified by:
  `setNClob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNClob

    public void setNClob(int parameterIndex,
                NClob value)
                  throws SQLException

Specified by:
  `setNClob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNClob

    public void setNClob(int parameterIndex,
                Reader reader)
                  throws SQLException

Specified by:
  `setNClob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### getSQL

    public String getSQL()

Specified by:
  `getSQL` in interface `com.pivotal.gemfirexd.thrift.common.PrepareResultHolder`

#### getStatementId

    public int getStatementId()

Specified by:
  `getStatementId` in interface `com.pivotal.gemfirexd.thrift.common.PrepareResultHolder`

#### updatePrepareResult

    public void updatePrepareResult(com.pivotal.gemfirexd.thrift.PrepareResult pr)

Specified by:
  `updatePrepareResult` in interface `com.pivotal.gemfirexd.thrift.common.PrepareResultHolder`

#### getLobSource

    protected final HostConnection getLobSource(boolean throwOnFailure,
                              String op)
                                         throws SQLException

Throws:
  `SQLException`

#### setCurrentSource

    protected final void setCurrentSource(byte entityId,
                        int newId,
                        com.pivotal.gemfirexd.thrift.RowSet rs)

#### clearFinalizer

    protected final void clearFinalizer()

#### createBlob

    public final Blob createBlob(com.pivotal.gemfirexd.thrift.BlobChunk firstChunk)
                          throws SQLException

Specified by:
  `createBlob` in interface `com.pivotal.gemfirexd.thrift.common.LobService`
Throws:
  `SQLException`

#### createClob

    public final Clob createClob(com.pivotal.gemfirexd.thrift.ClobChunk firstChunk)
                          throws SQLException

Specified by:
  `createClob` in interface `com.pivotal.gemfirexd.thrift.common.LobService`
Throws:
  `SQLException`

#### getBlobChunk

    public final com.pivotal.gemfirexd.thrift.BlobChunk getBlobChunk(int lobId,
                                                      long offset,
                                                      int chunkSize,
                                                      boolean freeLobAtEnd)
                                                              throws SQLException

Specified by:
  `getBlobChunk` in interface `com.pivotal.gemfirexd.thrift.common.LobService`
Throws:
  `SQLException`

#### getClobChunk

    public final com.pivotal.gemfirexd.thrift.ClobChunk getClobChunk(int lobId,
                                                      long offset,
                                                      int chunkSize,
                                                      boolean freeLobAtEnd)
                                                              throws SQLException

Specified by:
  `getClobChunk` in interface `com.pivotal.gemfirexd.thrift.common.LobService`
Throws:
  `SQLException`

#### getString

    protected final String getString(int columnIndex,
                   com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                   com.pivotal.gemfirexd.thrift.Row row)
                              throws SQLException

Throws:
  `SQLException`

#### getBoolean

    protected final boolean getBoolean(int columnIndex,
                     com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                     com.pivotal.gemfirexd.thrift.Row row)
                                throws SQLException

Throws:
  `SQLException`

#### getByte

    protected final byte getByte(int columnIndex,
               com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
               com.pivotal.gemfirexd.thrift.Row row)
                          throws SQLException

Throws:
  `SQLException`

#### getShort

    protected final short getShort(int columnIndex,
                 com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                 com.pivotal.gemfirexd.thrift.Row row)
                            throws SQLException

Throws:
  `SQLException`

#### getInt

    protected final int getInt(int columnIndex,
             com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
             com.pivotal.gemfirexd.thrift.Row row)
                        throws SQLException

Throws:
  `SQLException`

#### getLong

    protected final long getLong(int columnIndex,
               com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
               com.pivotal.gemfirexd.thrift.Row row)
                          throws SQLException

Throws:
  `SQLException`

#### getFloat

    protected final float getFloat(int columnIndex,
                 com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                 com.pivotal.gemfirexd.thrift.Row row)
                            throws SQLException

Throws:
  `SQLException`

#### getDouble

    protected final double getDouble(int columnIndex,
                   com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                   com.pivotal.gemfirexd.thrift.Row row)
                              throws SQLException

Throws:
  `SQLException`

#### getBigDecimal

    protected final BigDecimal getBigDecimal(int columnIndex,
                           com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                           com.pivotal.gemfirexd.thrift.Row row)
                                      throws SQLException

Throws:
  `SQLException`

#### getBigDecimal

    protected final BigDecimal getBigDecimal(int columnIndex,
                           int scale,
                           com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                           com.pivotal.gemfirexd.thrift.Row row)
                                      throws SQLException

Throws:
  `SQLException`

#### getBytes

    protected final byte[] getBytes(int columnIndex,
                  com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                  com.pivotal.gemfirexd.thrift.Row row)
                             throws SQLException

Throws:
  `SQLException`

#### getDate

    protected final Date getDate(int columnIndex,
               Calendar cal,
               com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
               com.pivotal.gemfirexd.thrift.Row row)
                          throws SQLException

Throws:
  `SQLException`

#### getTime

    protected final Time getTime(int columnIndex,
               Calendar cal,
               com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
               com.pivotal.gemfirexd.thrift.Row row)
                          throws SQLException

Throws:
  `SQLException`

#### getTimestamp

    protected final Timestamp getTimestamp(int columnIndex,
                         Calendar cal,
                         com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                         com.pivotal.gemfirexd.thrift.Row row)
                                    throws SQLException

Throws:
  `SQLException`

#### getObject

    protected final Object getObject(int columnIndex,
                   com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                   com.pivotal.gemfirexd.thrift.Row row)
                              throws SQLException

Throws:
  `SQLException`

#### getBlob

    protected final Blob getBlob(int columnIndex,
               com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
               com.pivotal.gemfirexd.thrift.Row row)
                          throws SQLException

Throws:
  `SQLException`

#### getBinaryStream

    protected final InputStream getBinaryStream(int columnIndex,
                              com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                              com.pivotal.gemfirexd.thrift.Row row)
                                         throws SQLException

Throws:
  `SQLException`

#### getClob

    protected final Clob getClob(int columnIndex,
               com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
               com.pivotal.gemfirexd.thrift.Row row)
                          throws SQLException

Throws:
  `SQLException`

#### getCharacterStream

    protected final Reader getCharacterStream(int columnIndex,
                            com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                            com.pivotal.gemfirexd.thrift.Row row)
                                       throws SQLException

Throws:
  `SQLException`

#### getAsciiStream

    protected final InputStream getAsciiStream(int columnIndex,
                             com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                             com.pivotal.gemfirexd.thrift.Row row)
                                        throws SQLException

Throws:
  `SQLException`

#### getObject

    protected Object getObject(int columnIndex,
                   Map<String,Class<?>> map,
                   com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                   com.pivotal.gemfirexd.thrift.Row row)
                        throws SQLException

Throws:
  `SQLException`

#### getRef

    protected Ref getRef(int columnIndex,
             com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
             com.pivotal.gemfirexd.thrift.Row row)
                  throws SQLException

Throws:
  `SQLException`

#### getArray

    protected Array getArray(int columnIndex,
                 com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                 com.pivotal.gemfirexd.thrift.Row row)
                      throws SQLException

Throws:
  `SQLException`

#### getURL

    protected URL getURL(int columnIndex,
             com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
             com.pivotal.gemfirexd.thrift.Row row)
                  throws SQLException

Throws:
  `SQLException`

#### getRowId

    protected RowId getRowId(int columnIndex,
                 com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                 com.pivotal.gemfirexd.thrift.Row row)
                      throws SQLException

Throws:
  `SQLException`

#### getNClob

    protected NClob getNClob(int columnIndex,
                 com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                 com.pivotal.gemfirexd.thrift.Row row)
                      throws SQLException

Throws:
  `SQLException`

#### getSQLXML

    protected SQLXML getSQLXML(int columnIndex,
                   com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                   com.pivotal.gemfirexd.thrift.Row row)
                        throws SQLException

Throws:
  `SQLException`

#### getNString

    protected String getNString(int columnIndex,
                    com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                    com.pivotal.gemfirexd.thrift.Row row)
                         throws SQLException

Throws:
  `SQLException`

#### getNCharacterStream

    protected Reader getNCharacterStream(int columnIndex,
                             com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                             com.pivotal.gemfirexd.thrift.Row row)
                                  throws SQLException

Throws:
  `SQLException`

#### getObject

    protected <T> T getObject(int columnIndex,
                  Class<T> type,
                  com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                  com.pivotal.gemfirexd.thrift.Row row)
                   throws SQLException

Throws:
  `SQLException`